﻿using System;

namespace BinaryToDecimal
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com - Binary to Decimal");
            // Prompt the user to enter a binary number
            Console.WriteLine("Enter a binary number: ");
            string binaryNumber = Console.ReadLine();

            // Initialize variables for decimal calculation
            int decimalNumber = 0;
            int power = 0;

            // Iterate through each digit of the binary number in reverse order
            for (int i = binaryNumber.Length - 1; i >= 0; i--)
            {
                // Convert the current digit to an integer
                int digit = int.Parse(binaryNumber[i].ToString());

                // Calculate the decimal value of the current digit
                decimalNumber += digit * (int)Math.Pow(2, power);

                // Increment the power for the next digit
                power++;
            }

            // Display the decimal equivalent of the binary number
            Console.WriteLine("The decimal equivalent is: " + decimalNumber);

            Console.ReadLine();
        }
    }
}
